Untar (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Untar class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Untar

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Expand
                  org.apache.tools.ant.taskdefs.Untar

public class Untar
extends Expand

Untar a file.

For JDK 1.1 "last modified time" field is set to current time instead of being carried from the archive file.

PatternSets are used to select files to extract from the archive. If no patternset is used, all files are extracted.

FileSet>s may be used used to select archived files to perform unarchival upon.

File permissions will not be restored on extracted files.

The untar task recognizes the long pathname entries used by GNU tar.

Since:
  Ant 1.1
Author:
  Stefan Bodewig, Magesh Umasankar

Nested Class Summary
`static class` | `Untar.UntarCompressionMethod` Valid Modes for Compression attribute to Untar Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Untar()`

Method Summary
`protected void` | `expandFile(FileUtils fileUtils, java.io.File srcF, java.io.File dir)`
`void` | `setCompression(Untar.UntarCompressionMethod method)` Set decompression algorithm to use; default=none.

Methods inherited from class org.apache.tools.ant.taskdefs.Expand
`addFileset, addPatternset, execute, extractFile, setDest, setOverwrite, setSrc`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Untar

    public Untar()

Method Detail

### setCompression

    public void setCompression(Untar.UntarCompressionMethod method)

  Set decompression algorithm to use; default=none. Allowable values are
  - none - no compression
  - gzip - Gzip compression
  - bzip2 - Bzip2 compression

  Parameters:
    `method` - compression method

### expandFile

    protected void expandFile(FileUtils fileUtils,
                              java.io.File srcF,
                              java.io.File dir)

  Overrides:
    `expandFile` in class `Expand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.